#include "lib\common.h" ;

/*
  Create exciting events !
*/


if (not isServer) exitwith {} ;

crash ={
     private ["_p","_a","_b","_s","_timeToImpact","_v"] ;
     _p = markerpos ARG1 ;
     _p set [2,ARG3] ;
     _a =createVehicle [ARG0, _p,[],0,"FLY"] ;
     _p = getPos _a ;
     _p set [2,ARG3] ;
     _a setpos _p ;
     _b = [_p,markerPos ARG2] call bearing ;
     _a setDir _v ; ;
     _s = 500 /3.6; //get m/s 
     _timeToImpact = ((markerPos ARG1) distance (markerPos ARG2))/_s ;
     _a setVelocity [_s * sin _b, _s * cos _b,-1 * ARG3/_timeToImpact] ;
} ;


flyovers=[] ;

flyoverActions=[
     ["height","setNum",100],
     ["speed","setNum",500],
     ["interval","setString","h1800"],
     ["vehicle","setString","C130J"]
     ] ;



createFlyovers = {
     private ["_r","_s"];
     //Allow the user to specify different respawn delays for different carparks
     //Search the namespace for markers that look like carparks
     
     {
	  _s = [_x,false] call getRegionAndModifiers ;
	  _r = EL(_s,0); 
	  [_s,flyoverActions] call handleActions ;
	  flyovers = flyovers + [_r] ;
     } foreach (["flyover"] call findMarkers) ; ; 
} ;


makeplane={
     private ["_c","_p","_g","_v1","_b","_u","_s","_grp","_r","_veh","_speed","_height"] ;
     _r = ARG0;
     _p = ARG1 ;
     _grp = ARG2 ;
     _height = _r getVariable "height" ;
     _veh = _r getVariable "vehicle" ;
     _speed = _r getVariable "speed" ;
     
     _p set [2,(_p select 2) + _height];
     _c = _r getVariable "center" ;
     
     _g = [_c,_p] call flipPos ;
     _g set [2,_height];
     _v1=  createVehicle[_veh,_p, [], 0, "FLY"] ;
     _v1 setVehicleAmmo 0;
     _b = [_p,markerPos "centerMap"] call bearing ;
     _v1 setDir _b  ;
     _grp = createGroup west ;
     _u = _grp createUnit ["USMC_Soldier", [1,1,1], [], 100, "FORM"] ;
     //[_u] join _grp ;
     _u setCaptive true ;
     _u moveinDriver _v1 ;
     _v1 flyinHeight _height ;
     
     _s = _speed *1000/3600 ;
     _v1 setVelocity [_s * sin _b ,_s * cos _b,0];
     //_v1 forcespeed _speed ;
     _u  domove _g ; 
     _v1 ;
};

createflyover = {
     private ["_c","_p","_g","_v1","_u","_d","_delay","_r"] ;
     _r = ARG0 ;
     _c = _r getVariable "center" ;
     _d = _r getVariable "sizeX" ;
     _delay = _r getVariable "delay" ;
     _u = objnull ;
     _v1=objnull ;
     _p =[_c,_d,_d] call randPos ;
     _g = creategroup west ;
     [_r,_p,_g] call makePlane ;
     sleep 120 ;
     deleteVehicle _u ;
     deleteVehicle _v1 ;
     
} ;

flyoverTask = {
     private ["_f"] ;
     _f = ARG0 ;
     while {not gameOver} do 
     {
	  sleep ([_f getVariable "interval"] call getInterval) ;
	  [_f] spawn {_this call createFlyover;} ;
     } ;
} ;


call createFlyovers ;
{[_x]spawn {_this call flyoverTask ;}} foreach flyovers ;
